Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Problems building my updatesite in Galileo
Problems building my updatesite in Galileo [message #66413] Wed, 01 July 2009 06:23 Go to next message
Markus Oley is currently offline Markus OleyFriend
Messages: 258
Registered: July 2009
Location: Germany
Senior Member
Hi,

I want to build my updatesite inside Eclipse Galileo using the contextmenu
on file site.xml, PDE-Tools -> Build site. I get the error:
Could not find one or more classes: "org.apache.tools.ant.BuildException".
Please check the ant classpath.

When I look at Window->Preferences->Ant->Runtime->Classpath there's an
entry showing to ant.jar in the eclipse-installation-path.
Processing an 'jar tvf ant.jar |grep BuildException' I get the result
org/apache/tools/ant/BuildException.class,
so I think it's not a problem, that I miss this class.

What do I need in addition to that to build my updatesite?

Greetings
Markus
Re: Problems building my updatesite in Galileo [message #68001 is a reply to message #66413] Sat, 11 July 2009 18:16 Go to previous message
Jean-Paul Poulet is currently offline Jean-Paul PouletFriend
Messages: 2
Registered: July 2009
Junior Member
Hello
I had a similar problem when upgrading from ganymede to galileo.
The following actions had solved the problem for me (but I don't
understand why):

- go to Window/prefrences/Ant/Runtime
- remove all entries under "Ant Home entries"
- select Add external Jars, navigate to your eclipse installation
directory,

then go inside
"plugins/org.apache.ant_1.7.1.v20090120-1145/lib"

and select all jars inside


I hope it can help you
Regards
Re: Problems building my updatesite in Galileo [message #599295 is a reply to message #66413] Sat, 11 July 2009 18:16 Go to previous message
Jean-Paul Poulet is currently offline Jean-Paul PouletFriend
Messages: 2
Registered: July 2009
Junior Member
Hello
I had a similar problem when upgrading from ganymede to galileo.
The following actions had solved the problem for me (but I don't
understand why):

- go to Window/prefrences/Ant/Runtime
- remove all entries under "Ant Home entries"
- select Add external Jars, navigate to your eclipse installation
directory,

then go inside
"plugins/org.apache.ant_1.7.1.v20090120-1145/lib"

and select all jars inside


I hope it can help you
Regards
Previous Topic:Error updating product with p2
Next Topic:Cannot install plug-in development environment in Eclipse 3.5
Goto Forum:
  


Current Time: Fri Dec 19 22:53:13 GMT 2014

Powered by FUDForum. Page generated in 0.15670 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software